Quartus II 11.1 SP259 on 13.1 64 bit

I have to use this software for school and I am having trouble installing it on 13.1 64 bit. My school has it installed on it’s 64 bit workstations, so I know it is possible. The X-installer won’t launch, it fails to launch with this error in the log.


Traceback (most recent call last):
  File "<string>", line 23, in <module>
  File "/tools/python/2.6.4/linux32/pyinstaller/iu.py", line 436, in importHook
  File "/tools/python/2.6.4/linux32/pyinstaller/iu.py", line 521, in doimport
  File "/build/swbuild/SJ/nightly/11.1sp2/259/l32/work/installers/linux32/build/pyi.linux2/altera_installer_cmd/outPYZ1.pyz/cli", line 23, in <module>
  File "/tools/python/2.6.4/linux32/pyinstaller/iu.py", line 436, in importHook
  File "/tools/python/2.6.4/linux32/pyinstaller/iu.py", line 521, in doimport
  File "/build/swbuild/SJ/nightly/11.1sp2/259/l32/work/installers/linux32/build/pyi.linux2/altera_installer_cmd/outPYZ1.pyz/altera_installer", line 34, in <module>
  File "/tools/python/2.6.4/linux32/pyinstaller/iu.py", line 436, in importHook
  File "/tools/python/2.6.4/linux32/pyinstaller/iu.py", line 521, in doimport
  File "/build/swbuild/SJ/nightly/11.1sp2/259/l32/work/installers/linux32/build/pyi.linux2/altera_installer_cmd/outPYZ1.pyz/gui_common", line 18, in <module>
  File "/tools/python/2.6.4/linux32/pyinstaller/iu.py", line 477, in importHook
  File "/tools/python/2.6.4/linux32/pyinstaller/iu.py", line 495, in doimport
  File "/tools/python/2.6.4/linux32/pyinstaller/iu.py", line 297, in getmod
  File "/tools/python/2.6.4/linux32/pyinstaller/archive.py", line 468, in getmod
  File "/tools/python/2.6.4/linux32/pyinstaller/iu.py", line 109, in getmod
ImportError: /usr/lib/libpng16.so.16: symbol inflateReset2, version ZLIB_1.2.3.4 not defined in file libz.so.1 with link time reference

I haven’t been able to find any relevant results on Google. I’ve installed all the 32-bit libs that were suggested on the Arch Wiki entry, so I don’t a missing library is the issue. Has anyone had any experience with this/suggestions?

You only posted the output you got and not the prompt and the command. Thus we are missing a lot of information on who you are (user/root), where you were (working directory) and what command line you typed.

A bit more explanation on that installation process might also be helpful. It apperently is not a standard openSUSE installation (using YaST or zypper), but what you are doing is vague.

In any case it looks as if the last line is what you should concentrate on.

My apologies, I posted this late at night and forgot some crucial details.

The installer comes in .sh archive/script downloaded from the Altera site. Running sh installer.sh as root unpacks and launches the installer. The installer doesn’t launch, and points me to an error log with the output I posted in my original post.

I looked at what could be causing the last line to happen but I have all the necessary zlib 32-bit libraries.

Replace libz.so.1 that is provided by the installer to the /usr/lib/libz.so and run without GUI.
Somewhat like:


mv /path_to_quartus_installer/altera_installer/bin/libz.so.1 /path_to_quartus_installer/altera_installer/bin/libz.so.1.old

cp  /usr/lib/libz.so /path_to_quartus_installer/altera_installer/bin/libz.so.1

/path_to_quartus_installer/setup -i quartus --target=/opt/altera